%define fontname lohit

%define common_desc \
The fonts named 'Lohit' which means 'Red' in Sanskrit were initially released \
by Red Hat. The complete collection currently supports scripts for 15 Indian \
Languages.


Name:           %{fontname}-fonts
Version:        2.3.8
Release:        1%{?dist}
Summary:        Free Indian truetype/opentype fonts

Group:          User Interface/X
License:        GPLv2
URL:            https://fedorahosted.org/lohit/
Source:        http://rbhalera.fedorapeople.org/released/lohit/lohit-fonts-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
BuildRequires:  fontpackages-devel

%description
%common_desc


%package common
Summary:        Common files of Lohit fonts
Group:          User Interface/X
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.

%package -n %{fontname}-assamese-fonts
Summary:        Free Assamese font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-assamese-fonts
%common_desc
This package provides a free Assamese truetype/opentype font.

%_font_pkg -n assamese lohit_as.ttf

%package -n %{fontname}-bengali-fonts
Summary:        Free Bengali font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-bengali = %{version}-%{release}
Obsoletes: lohit-fonts-bengali < 2.3.1-2

%description -n %{fontname}-bengali-fonts
%common_desc
This package provides a free Bengali truetype/opentype font.

%_font_pkg -n bengali lohit_bn.ttf

%package -n %{fontname}-gujarati-fonts
Summary:        Free Gujarati font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-gujarati = %{version}-%{release}
Obsoletes: lohit-fonts-gujarati < 2.3.1-2

%description -n %{fontname}-gujarati-fonts
%common_desc
This package provides a free Gujarati truetype/opentype font.

%_font_pkg -n gujarati lohit_gu.ttf

%package -n %{fontname}-hindi-fonts
Summary:        Free Gujarati font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-hindi = %{version}-%{release}
Obsoletes: lohit-fonts-hindi < 2.3.1-2

%description -n %{fontname}-hindi-fonts
%common_desc
This package provides a free Hindi truetype/opentype font.

%_font_pkg -n hindi lohit_hi.ttf

%package -n %{fontname}-kannada-fonts
Summary:        Free Kannada font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-kannada = %{version}-%{release}
Obsoletes: lohit-fonts-kannada < 2.3.1-2

%description -n %{fontname}-kannada-fonts
%common_desc
This package provides a free Kannada truetype/opentype font.

%_font_pkg -n kannada lohit_kn.ttf

%package -n %{fontname}-kashmiri-fonts
Summary:        Free Kashmiri font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-kashmiri = %{version}-%{release}
Obsoletes: lohit-fonts-kashmiri < 2.3.1-2

%description -n %{fontname}-kashmiri-fonts
%common_desc
This package provides a free Kashmiri truetype/opentype font.

%_font_pkg -n kashmiri lohit_ks.ttf

%package -n %{fontname}-konkani-fonts
Summary:        Free Konkani font 
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-konkani = %{version}-%{release}
Obsoletes: lohit-fonts-konkani < 2.3.1-2

%description -n %{fontname}-konkani-fonts
%common_desc
This package provides a free Konkani truetype/opentype font.

%_font_pkg -n konkani lohit_kok.ttf

%package -n %{fontname}-maithili-fonts
Summary:        Free Maithili font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-maithili = %{version}-%{release}
Obsoletes: lohit-fonts-maithili < 2.3.1-2

%description -n %{fontname}-maithili-fonts
%common_desc
This package provides a free Maithili truetype/opentype font.

%_font_pkg -n maithili lohit_mai.ttf

%package -n %{fontname}-malayalam-fonts
Summary:        Free Malayalam font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-malayalam = %{version}-%{release}
Obsoletes: lohit-fonts-malayalam < 2.3.1-2

%description -n %{fontname}-malayalam-fonts
%common_desc
This package provides a free Malayalam truetype/opentype font.

%_font_pkg -n malayalam lohit_ml.ttf

%package -n %{fontname}-marathi-fonts
Summary:        Free Marathi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-marathi = %{version}-%{release}
Obsoletes: lohit-fonts-marathi < 2.3.1-2

%description -n %{fontname}-marathi-fonts
%common_desc
This package provides a free Marathi truetype/opentype font.

%_font_pkg -n marathi lohit_mr.ttf

%package -n %{fontname}-nepali-fonts
Summary:        Free Nepali font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-nepali = %{version}-%{release}
Obsoletes: lohit-fonts-nepali < 2.3.1-2

%description -n %{fontname}-nepali-fonts
%common_desc
This package provides a free Nepali truetype/opentype font.

%_font_pkg -n nepali lohit_ne.ttf

%package -n %{fontname}-oriya-fonts
Summary:        Free Oriya font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-oriya = %{version}-%{release}
Obsoletes: lohit-fonts-oriya < 2.3.1-2

%description -n %{fontname}-oriya-fonts
%common_desc
This package provides a free Oriya truetype/opentype font.

%_font_pkg -n oriya lohit_or.ttf

%package -n %{fontname}-punjabi-fonts
Summary:        Free Punjabi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-punjabi = %{version}-%{release}
Obsoletes: lohit-fonts-punjabi < 2.3.1-2

%description -n %{fontname}-punjabi-fonts
%common_desc
This package provides a free Punjabi truetype/opentype font.

%_font_pkg -n punjabi lohit_pa.ttf

%package -n %{fontname}-sindhi-fonts
Summary:        Free Sindhi font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-sindhi = %{version}-%{release}
Obsoletes: lohit-fonts-sindhi < 2.3.1-2

%description -n %{fontname}-sindhi-fonts
%common_desc
This package provides a free Sindhi truetype/opentype font.

%_font_pkg -n sindhi lohit_sd.ttf

%package -n %{fontname}-tamil-fonts
Summary:        Free Tamil font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-tamil = %{version}-%{release}
Obsoletes: lohit-fonts-tamil < 2.3.1-2

%description -n %{fontname}-tamil-fonts
%common_desc
This package provides a free Tamil truetype/opentype font.

%_font_pkg -n tamil lohit_ta.ttf

%package -n %{fontname}-telugu-fonts
Summary:        Free Telugu font
Group:          User Interface/X
Requires:       %{name}-common = %{version}-%{release}
Provides: lohit-fonts-telugu = %{version}-%{release}
Obsoletes: lohit-fonts-telugu < 2.3.1-2

%description -n %{fontname}-telugu-fonts
%common_desc
This package provides a free Telugu truetype/opentype font.

%_font_pkg -n telugu lohit_te.ttf

%prep
%setup -q


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p */*.ttf %{buildroot}%{_fontdir}

#install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
#                  %{buildroot}%{_fontconfig_confdir}

%clean
rm -fr %{buildroot}


%files common
%defattr(0644,root,root,0755)
%doc COPYING README AUTHORS ChangeLog

%dir %{_fontdir}


%changelog

* Thu Mar 05 2009 Rahul Bhalerao <rbhalera@redhat.com> - 2.3.8-1.fc11
- Bug 428427 - [kn_IN][fonts-indic] - 0CB5+0CCA is wrongly rendering 
- Bug 450699 - [ta_IN]Errors in "sh" and "shrI" in Lohit Tamil font (fixed in font, needs rendering update)
- Bug 476427 - [te_IN] - Consonant+Virama+Consonant+Virama+space renders the second virama as a separate glyph in
  lohit-telugu font
- Bug 479100 - [kn_IN] Conjunct combination of U0C9D with U0CCA/U0CCB is rendering wrongly
- Bug 483530 - [bn_IN]Lohit Bengali font cheating about character support
- Added Lohit-Assamese

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Rahul Bhalerao <rbhalera@redhat.com> - 2.3.1-2.fc11
- Updated according to new font packaging guidelines.

* Tue Sep 09 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.3.1-1
- Bug 216400: [te_IN] anaconda GUI - Release Notes button overlaps with other text

* Wed Aug 20 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.3.0-1
- Forked Lohit Hindi into Marathi, Maithili, Kashmiri, Konkani, Sindhi and Nepali.
- Bug 215902: [hi_IN, mr_IN]Incorrect extent of 0x093f when attached to a composite character which has
  width greater than a single character (hi_IN & maybe others)
- Bug 445176: [ml_IN] Conjuncts combining with 0D30 do not form the pre based glyph
- Improved Anchoring(blwm Anchor-0) for Hindi font.
- Corrected positioning of U+0953 for Hindi font.

* Tue Apr 29 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.2.1-1
- Resolved bugs (bugzilla.redhat.com):
- Bug 444559 Processed: [ml_IN] Wrong shape for conjuncts formed using 0D30
(xRa) in a word
- Bug 444561 Processed: [ml_IN] Conjuncts does not get combined with 0D30 to
form the pre based glyph
- Bug 444563: [ml_IN] When 0D2F is combined with a consonant and followed by
0D15, 0D2F joins with 0D15

* Tue Apr 08 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.2.0-1
- Resolved bugs (bugzilla.redhat.com):
- Bug 202400: [hi_IN] New codepoints/glyphs in Unicode 5.0
- Bug 205981: [hi_IN]The font file of Devanagari(lohit_hi.ttf) lacks the glyph
of U+0x0904
- Bug 206426: [hi_IN, mr_IN] Some Glyphs are missing and some GPOS shapes
should be more perfect - Priority - C
- Bug 239630: [hi_IN] the glyph of 0x0953 in lohit_hi.ttf is wrong.
- Bug 428427: [kn_IN][fonts-indic] - 0CB5+0CCA is wrongly rendering
- Updated the Source and Version.

* Thu Feb 28 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.9-1
- Bug 431035: [ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32 
- Bug 433437: [ml_IN] Rendering combination incorrect with 0D35
- Bug 433440: [ml_IN] Rendering combination incorrect with 0D2F
- Contributions from Hiran Venugopalan (xRa glyphs and few other)

* Fri Jan 25 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.8-1
- Updated version according to upstream to incorporate the bug fixes.

* Fri Nov 16 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.6-1.fc8
- Updated version according to upstream.

* Mon Sep 24 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5-3.fc8
- SPEC cleanups as suggested in review. 

* Mon Sep 17 2007 Rahul Bhalerao <rbhalera@redhat.com>
- Spec file update as part of review

* Tue Sep 11 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.5-1.fc8
- This package is derived from the fonts-indic package to reflect the upstream
  project name [RH #253158]
